Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2056193 - Review Request: rust-uncased - Case-preserving, ASCII case-insensitive, no_std string types
Summary: Review Request: rust-uncased - Case-preserving, ASCII case-insensitive, no_st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2006545 (view as bug list)
Depends On:
Blocks: 2055062 2055079
TreeView+ depends on / blocked
 
Reported: 2022-02-19 16:06 UTC by Igor Raits
Modified: 2022-03-15 19:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-20 09:32:44 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Igor Raits 2022-02-19 16:06:53 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/rust-uncased.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/rust-uncased-0.9.6-1.fc35.src.rpm

Description:
Case-preserving, ASCII case-insensitive, no_std string types.

Fedora Account System Username: ignatenkobrain

Comment 1 Igor Raits 2022-02-19 16:06:56 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=83024492

Comment 2 Fabio Valentini 2022-02-19 21:09:29 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (MIT or ASL 2.0) and is acceptable for Fedora
- license files are included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add rust-sig with "commit" access as package co-maintainer

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

Comment 3 Igor Raits 2022-02-20 08:58:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-uncased

Comment 4 Fedora Update System 2022-02-20 09:32:27 UTC
FEDORA-2022-b5b5699de8 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b5b5699de8

Comment 5 Fedora Update System 2022-02-20 09:32:44 UTC
FEDORA-2022-b5b5699de8 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-02-20 09:34:54 UTC
FEDORA-2022-639b904d3f has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-639b904d3f

Comment 7 Fedora Update System 2022-02-20 09:35:44 UTC
FEDORA-2022-639b904d3f has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Jan Baudisch 2022-03-15 19:36:08 UTC
*** Bug 2006545 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.